Subject: Re: bug#37415: Asserting failure setting frame parameters to non-fixnum values in early-init.el

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Sep 2019 22:08:20 +0300

> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Fri, 20 Sep 2019 10:13:03 +0200
> 
>  >> But even if we cannot fix the behavior we have to avoid the crash.
>  >
>  > That was my purpose when I proposed to signal an error in this case.
> 
> Should we even signal an error then?

If we cannot do better, then yes.

> The parameter would be applied
> later anyway as soon as we can parse the display geometry.  At least
> here the frame appears as expected if my early-init.el just contains
> 
> (setq default-frame-alist '((left . (- 100))))
> 
> and the patch below is used.

If the patch below solves the original problem, please install it.  If
it doesn't, then please help me understand how is it related to the
issue at hand, because I don't think I understand.

Thanks.